| OpenSubdiv

Loading...
Searching...
No Matches
types.h File Reference
`#include "../version.h"`

Go to the source code of this file.

## Classes
struct | SchemeTypeTraits
| Traits associated with the types of all subdivision schemes – parameterized by the scheme type. All traits are also defined in the scheme itself. More...

## Namespaces
namespace | OpenSubdiv
namespace | OpenSubdiv::OPENSUBDIV_VERSION
namespace | OpenSubdiv::OPENSUBDIV_VERSION::Sdc

## Enumerations
enum | SchemeType { SCHEME_BILINEAR , SCHEME_CATMARK , SCHEME_LOOP }
| Enumerated type for all subdivision schemes supported by OpenSubdiv. More...
enum | Split { SPLIT_TO_QUADS , SPLIT_TO_TRIS , SPLIT_HYBRID }
| Enumerated type for all face splitting schemes. More...